package dev.fitko.fitconnect.api.domain.schema;

import lombok.Value;

import java.nio.file.Path;
import java.util.List;
import java.util.Map;

@Value
public class SchemaResources {

    List<String> setSchemas;
    List<String> metadataSchemas;
    List<String> destinationSchemas;
    Map<String, String> submissionDataSchemas;

    @Deprecated(since = "2.0.0")
    List<Path> submissionDataSchemaPaths;
}
